Ziett
Docs
Docs
  • API Reference
Docs
Docs
  • API Reference
Meet Ziett
Login
  1. Campaigns
  • API Docs - Ziett
  • API Reference
    • Overview
    • Messages
      • Send Transactional Message
      • List Organization Messages
      • Retrieve Message Details
    • Campaigns
      • List Organization Campaigns
        GET
      • Create Batch Campaign
        POST
      • List Campaign Messages
        GET
      • Retrieve Campaign Details
        GET
  1. Campaigns

List Campaign Messages

GET
https://api.ziett.co/c/v1/campaigns/{campaign_id}/messages
Last modified:2026-03-22 10:48:32
Retrieve all individual messages associated with a specific campaign. Use this to check the delivery status of each recipient in a batch send.

Request

Authorization
API Key
Add parameter in header
X-API-KEY
Example:
X-API-KEY: ********************
or
Path Params

Query Params

Responses

🟢200OK
application/json
Successful Response
Bodyapplication/json

🟠422Parameter Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.ziett.co/c/v1/campaigns//messages?q=&size=30&page=1&order=desc&order_by=created_at&contact_id=&campaign_id=&status=&trigger_source=&channel_type=&channel_destination=&sms_remitter_id=&created_at__ge=&created_at__le=' \
--header 'X-API-KEY: <api-key>'
Response Response Example
200 - Example 1
{
    "entries": [
        {
            "id": "string",
            "updated_at": "2019-08-24T14:15:22.123Z",
            "created_at": "2019-08-24T14:15:22.123Z",
            "organization_id": "string",
            "campaign_id": "string",
            "contact_id": "string",
            "sms_remitter_id": "string",
            "sms_remitter": {
                "name": "Ziett"
            },
            "external_id": "string",
            "cost": "3423.23",
            "billing_account_id": "string",
            "channel_type": "SMS",
            "channel_destination": "UNITEL",
            "provider_id": "string",
            "e164_format": "+244990090990",
            "content": "string",
            "trigger_source": "API_CLIENT",
            "error_code": "INVALID_PHONE_NUMBER",
            "is_refunded": true,
            "status": "PENDING",
            "contact": {
                "id": "string",
                "updated_at": "2019-08-24T14:15:22.123Z",
                "created_at": "2019-08-24T14:15:22.123Z",
                "name": "string",
                "email": "user@example.com",
                "e164_format": "+244990090990",
                "organization_id": "string"
            },
            "campaign": {
                "id": "string",
                "updated_at": "2019-08-24T14:15:22.123Z",
                "created_at": "2019-08-24T14:15:22.123Z",
                "name": "string",
                "status": "DRAFT"
            }
        }
    ],
    "total": 0,
    "page": 1,
    "size": 1,
    "pages": 0
}
Modified at 2026-03-22 10:48:32
Previous
Create Batch Campaign
Next
Retrieve Campaign Details
Built with